> ## Documentation Index
> Fetch the complete documentation index at: https://docs.firecrawl.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# 执行监控



## OpenAPI

````yaml zh/api-reference/v2-openapi.json POST /monitor/{monitorId}/run
openapi: 3.0.0
info:
  contact:
    email: support@firecrawl.dev
    name: Firecrawl Support
    url: https://firecrawl.dev/support
  description: 用于与 Firecrawl 服务交互，执行网页抓取和爬取任务的 API。
  title: Firecrawl API
  version: v2
servers:
  - url: https://api.firecrawl.dev/v2
security:
  - bearerAuth: []
paths:
  /monitor/{monitorId}/run:
    post:
      tags:
        - Monitoring
      summary: 运行监控
      operationId: runMonitor
      parameters:
        - $ref: '#/components/parameters/MonitorId'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MonitorRunResponse'
          description: 监控检查已加入队列
        '409':
          description: 已有监控检查正在运行
      security:
        - bearerAuth: []
components:
  parameters:
    MonitorId:
      description: 监控 ID
      in: path
      name: monitorId
      required: true
      schema:
        format: uuid
        type: string
  schemas:
    MonitorRunResponse:
      properties:
        data:
          $ref: '#/components/schemas/MonitorCheck'
        id:
          format: uuid
          type: string
        success:
          type: boolean
      type: object
    MonitorCheck:
      properties:
        actualCredits:
          description: 此次检查最终收取的额度，将在 scrape、crawl 以及所有变更页面判断调用完成后确定。
          nullable: true
          type: integer
        billingStatus:
          type: string
        createdAt:
          format: date-time
          type: string
        error:
          nullable: true
          type: string
        estimatedCredits:
          description: 在 Firecrawl 确定有多少页面发生变更并需要判断之前，为此次检查预留的额度上限。
          nullable: true
          type: integer
        finishedAt:
          format: date-time
          nullable: true
          type: string
        id:
          format: uuid
          type: string
        monitorId:
          format: uuid
          type: string
        notificationStatus:
          nullable: true
          type: object
        reservedCredits:
          nullable: true
          type: integer
        scheduledFor:
          format: date-time
          nullable: true
          type: string
        startedAt:
          format: date-time
          nullable: true
          type: string
        status:
          enum:
            - queued
            - running
            - completed
            - failed
            - partial
            - skipped_overlap
          type: string
        summary:
          $ref: '#/components/schemas/MonitorSummary'
        targetResults:
          nullable: true
          type: array
        trigger:
          enum:
            - scheduled
            - manual
          type: string
        updatedAt:
          format: date-time
          type: string
      type: object
    MonitorSummary:
      properties:
        changed:
          type: integer
        error:
          type: integer
        new:
          type: integer
        removed:
          type: integer
        same:
          type: integer
        totalPages:
          type: integer
      type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````